MCP Tools Reference: calendarmcp.googleapis.com

Outil : list_calendars

Renvoie les agendas auxquels cet utilisateur a accès (sa liste d'agendas). Utilisez cet outil pour résoudre les données d'identification de l'agenda (par exemple, "mon agenda familial") dans son calendar_id (identifiant d'adresse e-mail) correspondant.

L'exemple suivant montre comment utiliser curl pour appeler l'outil MCP list_calendars.

Requête curl
curl --location 'https://calendarmcp.googleapis.com/mcp/v1' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_calendars",
    "arguments": {
      // provide these details according to the tool MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Schéma d'entrée

ListCalendarsRequest

Représentation JSON
{

  "pageSize": integer

  "pageToken": string
}
Champs

Champ d'union _page_size.

_page_size ne peut être qu'un des éléments suivants :

pageSize

integer

Facultatif. Nombre maximal de résultats par page. Valeur par défaut : 100, valeur maximale : 250.

Champ d'union _page_token.

_page_token ne peut être qu'un des éléments suivants :

pageToken

string

Facultatif. Jeton spécifiant la page de résultats à renvoyer.

Schéma de sortie

ListCalendarsResponse

Représentation JSON
{
  "calendars": [
    {
      object (CalendarListItem)
    }
  ],

  "nextPageToken": string
}
Champs
calendars[]

object (CalendarListItem)

Liste des agendas.

Champ d'union _next_page_token.

_next_page_token ne peut être qu'un des éléments suivants :

nextPageToken

string

Jeton de la page suivante. Omis si aucune page suivante n'existe.

CalendarListItem

Représentation JSON
{
  "id": string,
  "summary": string,
  "description": string,
  "timeZone": string
}
Champs
id

string

Identifiant. Adresse e-mail de l'agenda.

summary

string

Uniquement en sortie. et le titre.

description

string

Uniquement en sortie. Description :

timeZone

string

Uniquement en sortie. Fuseau horaire

Annotations d'outils

Indication destructive : ❌ | Indication idempotente : ✅ | Indication en lecture seule : ✅ | Indication Open World : ❌

Champs d'application des autorisations

Nécessite l'un des champs d'application OAuth suivants :

  • https://www.googleapis.com/auth/calendar
  • https://www.googleapis.com/auth/calendar.readonly
  • https://www.googleapis.com/auth/calendar.calendarlist
  • https://www.googleapis.com/auth/calendar.calendarlist.readonly